> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vogent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Eval Record

> Updates an AI evaluation record. Only available for prompt-type records.



## OpenAPI

````yaml put /eval_configs/{id}/records/{recordId}
openapi: 3.0.3
info:
  title: Vogent - OpenAPI 3.0
  description: Test Description
  version: 1.0.11
servers:
  - url: https://api.vogent.ai/api
security:
  - bearerAuth: []
paths:
  /eval_configs/{id}/records/{recordId}:
    parameters:
      - in: path
        name: id
        schema:
          type: string
        required: true
        description: ID of the eval config.
      - in: path
        name: recordId
        schema:
          type: string
        required: true
        description: ID of the eval record.
    put:
      summary: Update Eval Record
      description: Updates an AI evaluation record. Only available for prompt-type records.
      operationId: updateEvalRecord
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAIEvalRecordInput'
        required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AIEvalRecord'
        '400':
          description: Invalid input
        '422':
          description: Validation exception
components:
  schemas:
    UpdateAIEvalRecordInput:
      type: object
      properties:
        name:
          type: string
          description: The name of the prompt.
        description:
          type: string
          description: The description of the prompt.
        systemPrompt:
          type: string
          description: The system prompt.
        maxTurns:
          type: integer
          description: The maximum number of conversation turns.
        agentInputs:
          type: string
          description: JSON object of key-value pairs injected as agent variables.
    AIEvalRecord:
      type: object
      properties:
        id:
          type: string
          nullable: false
        recordType:
          $ref: '#/components/schemas/AIEvalRecordType'
        dialId:
          type: string
          nullable: true
        prompt:
          $ref: '#/components/schemas/AIEvalPrompt'
          nullable: true
      required:
        - id
        - recordType
    AIEvalRecordType:
      type: string
      enum:
        - DIAL
        - PROMPT
      description: The type of evaluation record.
      nullable: false
    AIEvalPrompt:
      type: object
      properties:
        id:
          type: string
          nullable: false
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        systemPrompt:
          type: string
          nullable: false
        maxTurns:
          type: integer
          nullable: false
        agentInputs:
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
          nullable: false
      required:
        - id
        - systemPrompt
        - maxTurns
        - createdAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        In the form `Bearer <api_key_here>`. You can find your api key in your
        dashboard.

````